1.0
1.0
get /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Description
Show Auto-Scaling Group notification.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | notification_id required | Notification ID Example : fa7fd191410744cd810a290c0b4d22b9 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AutoScalingGroupNotificationShowResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}